# Interface: NormalizedScriptLocator

Internal representation of script locator data.

**`internal`**

## Table of contents

### Properties

- [absolute](NormalizedScriptLocator.md#absolute)
- [body](NormalizedScriptLocator.md#body)
- [fetch](NormalizedScriptLocator.md#fetch)
- [headers](NormalizedScriptLocator.md#headers)
- [method](NormalizedScriptLocator.md#method)
- [query](NormalizedScriptLocator.md#query)
- [timeout](NormalizedScriptLocator.md#timeout)
- [url](NormalizedScriptLocator.md#url)

## Properties

### absolute

• **absolute**: `boolean`

Whether script's URL is an absolute FileSystem URL on a target device.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:140](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L140)

___

### body

• `Optional` **body**: `string`

Request body.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:149](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L149)

___

### fetch

• **fetch**: `boolean`

Whether to fetch script from the network or use cached one.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:134](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L134)

___

### headers

• `Optional` **headers**: `Record`<`string`, `string`\>

Request headers.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:146](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L146)

___

### method

• **method**: ``"GET"`` \| ``"POST"``

HTTP method.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:128](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L128)

___

### query

• `Optional` **query**: `string`

Query params.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:143](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L143)

___

### timeout

• **timeout**: `number`

Custom timeout for script fetch requests.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:137](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L137)

___

### url

• **url**: `string`

Path-only URL to a script's location.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:131](https://github.com/callstack/repack/blob/6f560fd/packages/repack/src/modules/ScriptManager/types.ts#L131)
